> ## Documentation Index > Fetch the complete documentation index at: https://docs.processmaker.com/llms.txt > Use this file to discover all available pages before exploring further. # Get variables for multiple processes with pagination ## OpenAPI ````json GET /processes/variables { "openapi": "3.0.0", "info": { "title": "ProcessMaker API", "description": "", "contact": { "email": "info@processmaker.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "1.0.0" }, "servers": [ { "url": "/api/1.0" } ], "security": [ { "passport": [], "bearer": [] } ], "tags": [ { "name": "Cases", "description": "Cases" }, { "name": "CssSettings", "description": "CssSettings" }, { "name": "Environment Variables", "description": "Environment Variables" }, { "name": "Files", "description": "Files" }, { "name": "Groups", "description": "Groups" }, { "name": "Group Members", "description": "Group Members" }, { "name": "Notifications", "description": "Notifications" }, { "name": "Permissions", "description": "Permissions" }, { "name": "Process Categories", "description": "Process Categories" }, { "name": "Processes", "description": "Processes" }, { "name": "Process Requests", "description": "Process Requests" }, { "name": "Request Files", "description": "Request Files" }, { "name": "Screen Categories", "description": "Screen Categories" }, { "name": "Screens", "description": "Screens" }, { "name": "Script Categories", "description": "Script Categories" }, { "name": "Scripts", "description": "Scripts" }, { "name": "Rebuild Script Executors", "description": "Rebuild Script Executors" }, { "name": "Security Logs", "description": "Security Logs" }, { "name": "Settings", "description": "Settings" }, { "name": "Signals", "description": "Signals" }, { "name": "Task Assignments", "description": "Task Assignments" }, { "name": "Tasks", "description": "Tasks" }, { "name": "Users", "description": "Users" }, { "name": "Personal Tokens", "description": "Personal Tokens" }, { "name": "Processes Variables", "description": "Processes Variables" }, { "name": "AnalyticsReporting", "description": "AnalyticsReporting" }, { "name": "Collections", "description": "Collections" }, { "name": "Comments", "description": "Comments" }, { "name": "DataSourcesCategories", "description": "DataSourcesCategories" }, { "name": "DataSources", "description": "DataSources" }, { "name": "DecisionTableCategories", "description": "DecisionTableCategories" }, { "name": "DecisionTables", "description": "DecisionTables" }, { "name": "SavedSearchCharts", "description": "SavedSearchCharts" }, { "name": "Reports", "description": "Reports" }, { "name": "SavedSearches", "description": "SavedSearches" }, { "name": "Version History", "description": "Version History" } ], "paths": { "/processes/variables": { "get": { "tags": [ "Processes Variables" ], "summary": "Get variables for multiple processes with pagination", "operationId": "660c9459febd17c58400be4b4d49a152", "parameters": [ { "name": "processIds", "in": "query", "description": "Comma-separated list of process IDs", "required": false, "schema": { "type": "string", "example": "1,2,3", "nullable": true } }, { "name": "page", "in": "query", "description": "Page number", "required": false, "schema": { "type": "integer", "default": 1 } }, { "name": "per_page", "in": "query", "description": "Items per page", "required": false, "schema": { "type": "integer", "default": 20 } } ], "responses": { "200": { "description": "Successful response", "content": { "application/json": { "schema": { "properties": { "data": { "type": "array", "items": { "$ref": "#/components/schemas/Variable" } }, "meta": { "$ref": "#/components/schemas/PaginationMeta" } }, "type": "object" } } } } }, "servers": [ { "url": "https://develop-qa.processmaker.net/api/1.1", "description": "API v1.1 Server" } ] } } }, "components": { "schemas": { "Variable": { "properties": { "id": { "type": "integer", "example": 1 }, "process_id": { "type": "integer", "example": 1 }, "uuid": { "type": "string", "format": "uuid", "example": "550e8400-e29b-41d4-a716-446655440000" }, "field": { "type": "string", "example": "string", "enum": [ "string", "number", "boolean", "array" ] }, "label": { "type": "string", "example": "Variable 1 for Process 1" }, "name": { "type": "string", "example": "var_1_1" }, "asset": { "properties": { "id": { "type": "string", "example": "asset_1_1" }, "type": { "type": "string", "example": "sensor", "enum": [ "sensor", "actuator", "controller", "device" ] }, "name": { "type": "string", "example": "Asset 1 for Process 1" }, "uuid": { "type": "string", "format": "uuid", "example": "550e8400-e29b-41d4-a716-446655440000" } }, "type": "object" }, "created_at": { "type": "string", "format": "date-time" }, "updated_at": { "type": "string", "format": "date-time" } }, "type": "object" }, "PaginationMeta": { "properties": { "current_page": { "type": "integer", "example": 1 }, "from": { "type": "integer", "example": 1 }, "last_page": { "type": "integer", "example": 5 }, "path": { "type": "string", "example": "http://processmaker.com/processes/variables" }, "per_page": { "type": "integer", "example": 20 }, "to": { "type": "integer", "example": 20 }, "total": { "type": "integer", "example": 100 }, "links": { "properties": { "first": { "type": "string", "example": "http://processmaker.com/processes/variables?page=1" }, "last": { "type": "string", "example": "http://processmaker.com/processes/variables?page=5" }, "prev": { "type": "string", "nullable": true }, "next": { "type": "string", "example": "http://processmaker.com/processes/variables?page=2" } }, "type": "object" } }, "type": "object" } }, "securitySchemes": { "passport": { "type": "oauth2", "description": "Laravel passport oauth2 security.", "flows": { "authorizationCode": { "authorizationUrl": "/oauth/authorize", "tokenUrl": "/oauth/token", "refreshUrl": "/token/refresh", "scopes": {} } } }, "bearer": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } } } ````